My Project: dgAABBPolygonSoup::dgNode Class Reference

My Project

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
dgAABBPolygonSoup::dgNode Class Reference

`#include <dgAABBPolygonSoup.h>`

Inheritance diagram for dgAABBPolygonSoup::dgNode:

## Classes

class | dgLeafNodePtr

## Public Types

enum | dgNodeType { m_binary = 0, m_leaf }

## Public Member Functions

| dgNode ()
DG_INLINE dgFloat32 | RayDistance (const dgFastRayTest &ray, const dgTriplex *const vertexArray) const
DG_INLINE dgFloat32 | BoxPenetration (const dgFastAABBInfo &obb, const dgTriplex *const vertexArray) const
DG_INLINE dgFloat32 | BoxIntersect (const dgFastRayTest &ray, const dgFastRayTest &obbRay, const dgFastAABBInfo &obb, const dgTriplex *const vertexArray) const

## Public Attributes

dgInt32 | m_indexBox0
dgInt32 | m_indexBox1
dgLeafNodePtr | m_left
dgLeafNodePtr | m_right

## Member Enumeration Documentation

## § dgNodeType

enum dgAABBPolygonSoup::dgNode::dgNodeType

Enumerator
m_binary |
m_leaf |

## Constructor & Destructor Documentation

## § dgNode()

dgAABBPolygonSoup::dgNode::dgNode | ( |  | ) |

inline

## Member Function Documentation

## § BoxIntersect()

DG_INLINE dgFloat32 dgAABBPolygonSoup::dgNode::BoxIntersect | ( | const dgFastRayTest & | ray,
|  | const dgFastRayTest & | obbRay,
|  | const dgFastAABBInfo & | obb,
|  | const dgTriplex *const | vertexArray
| ) |  | const

inline

## § BoxPenetration()

DG_INLINE dgFloat32 dgAABBPolygonSoup::dgNode::BoxPenetration | ( | const dgFastAABBInfo & | obb,
|  | const dgTriplex *const | vertexArray
| ) |  | const

inline

## § RayDistance()

DG_INLINE dgFloat32 dgAABBPolygonSoup::dgNode::RayDistance | ( | const dgFastRayTest & | ray,
|  | const dgTriplex *const | vertexArray
| ) |  | const

inline

## Member Data Documentation

## § m_indexBox0

dgInt32 dgAABBPolygonSoup::dgNode::m_indexBox0

## § m_indexBox1

dgInt32 dgAABBPolygonSoup::dgNode::m_indexBox1

## § m_left

dgLeafNodePtr dgAABBPolygonSoup::dgNode::m_left

## § m_right

dgLeafNodePtr dgAABBPolygonSoup::dgNode::m_right

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgAABBPolygonSoup.h